> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a personal identifier

> Create a personal identifier, e.g. SSN, for this customer



## OpenAPI

````yaml openapi.json post /persons/personal_ids
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.208.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /persons/personal_ids:
    summary: Personal Identifiers
    post:
      tags:
        - Persons
      summary: Create a personal identifier
      description: Create a personal identifier, e.g. SSN, for this customer
      operationId: createPersonalId
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/post_personal_id_w_cust'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response_personal_id_w_cust'
          description: Created personal identifier.
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    post_personal_id_w_cust:
      allOf:
        - $ref: '#/components/schemas/personal_id_customer_id'
        - properties:
            tenant:
              $ref: '#/components/schemas/tenant_id'
        - $ref: '#/components/schemas/personal_id_base'
        - $ref: '#/components/schemas/personal_id_country_code_post'
        - $ref: '#/components/schemas/personal_id_document_info'
      required:
        - customer_id
        - id_type
        - identifier
      type: object
    response_personal_id_w_cust:
      allOf:
        - $ref: '#/components/schemas/personal_id_customer_id'
        - $ref: '#/components/schemas/personal_id_country_code_response'
        - properties:
            tenant:
              $ref: '#/components/schemas/tenant_id'
        - $ref: '#/components/schemas/personal_id_base'
        - $ref: '#/components/schemas/personal_id_document_info'
      required:
        - country_code
        - customer_id
        - id
        - id_type
        - identifier
        - system_provided
        - tenant
      type: object
    personal_id_customer_id:
      properties:
        customer_id:
          description: Id of the customer having this personal identifier
          example: 21943c51-e4ff-4e57-9558-08cab6b963fe
          format: uuid
          type: string
      type: object
    tenant_id:
      description: >
        The id of the tenant containing the resource. This is relevant for
        Fintechs that have multiple workspaces.
      example: abcdef_ghijkl
      type: string
    personal_id_base:
      properties:
        id:
          description: UUID for the personal identifier for subsequent changes and deletion
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        id_type:
          $ref: '#/components/schemas/personal_id_type'
        identifier:
          description: The personal identifier. Format varies by personal identifier type.
          example: 123-45-6789
          type: string
        system_provided:
          description: >-
            True if the identifier was provided by the system, e.g. via SSN
            Prefill.
          readOnly: true
          type: boolean
      type: object
    personal_id_country_code_post:
      properties:
        country_code:
          description: >
            The ISO 3166 Alpha-2 country code for the country that issued the
            personal identifier.

            This is optional for personal identifier types that have an implicit
            country, e.g. SSN.

            This is required for other types, e.g. PASSPORT_NUMBER.
          format: US
          type: string
    personal_id_document_info:
      properties:
        expiry_date:
          description: >-
            The date the associated document is set to expire on set by the
            governing authority.
          example: '2020-01-01'
          format: date
          type: string
        issue_date:
          description: >-
            The date the associated document was issued by the governing
            authority.
          example: '2020-01-01'
          format: date
          type: string
      type: object
    personal_id_country_code_response:
      properties:
        country_code:
          description: >
            The ISO 3166 Alpha-2 country code for the country that issued the
            personal identifier.
          format: US
          type: string
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    personal_id_type:
      description: >
        The type of the personal identifier. This cannot be changed once the
        personal identifier is created.

        One of the following:

        * `ITIN` - US Individual Tax Identification Number. Format is
        987-65-4321. Country code will default to US.

        * `PASSPORT_NUMBER` - Passport Number. Format varies by country. Country
        code is required.

        * `SIN` - Canadian Social Insurance Number. Format is 123-456-789.
        Country code will default to CA.

        * `SSN` - US Social Security Number. Format is 123-45-6789. Country code
        will default to US.

        * `DRIVER_LICENSE` - Driver License Number. Format varies by country and
        state.

        * `STATE_ID` - US State ID Number. Format varies by state.

        * `NATIONAL_ID` - National ID Number. Format varies by country.

        * `TAX_ID` - Tax ID Number. Format varies by country.

        * `CITIZENSHIP_CARD` - Canadian Citizenship Card Number. Format is
        A1234567.

        * `PR_CARD` - Permanent Resident Card Number. Format varies by country.

        * `PROVINCIAL_ID` - Canadian Provincial ID Number. Format varies by
        province.

        * `SECURE_STATUS_CARD` - Canadian Secure Status Card Number. Format is
        1998-12-123456.
      enum:
        - CITIZENSHIP_CARD
        - DRIVER_LICENSE
        - ITIN
        - NATIONAL_ID
        - PASSPORT_NUMBER
        - PROVINCIAL_ID
        - PR_CARD
        - SECURE_STATUS_CARD
        - SIN
        - SSN
        - STATE_ID
        - TAX_ID
      example: SSN
      type: string
  responses:
    bad_request:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: BadRequest
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden error
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````